#delimit ;
*graph_new_prev.do ;
capture log close ;
version 8.0 ;
log using "F:\Schwartz\cps_historical\do\graph_new_prev.log",replace ;
set more 1 ;
clear ;
program drop _all ;
set mem 500m ;
set matsize 800 ;
set linesize 100 ;


#delimit cr

****************************************************************
*                                                              *
* This file graphs the newlywed odds of homogamy and the       *
* prevailing marriage odds.                                    *
*                                                              *
*                                                              *
****************************************************************



use "F:\Schwartz\cps_historical\data\analysis_newly.dta"

sort year

tempfile new
save `new'




use "F:\Schwartz\cps_historical\data\analysis_prev.dta"
sort year


merge year using `new'


      cd "F:\Schwartz\cps_historical\graphs"



label var e_hm_new  "Newlyweds"
label var e_uam_new  "Newlyweds"
label var e_dc1m_new "< 10/10-11"
label var e_dc2m_new "10-11/12"
label var e_dc3m_new "12/13-15"
label var e_dc4m_new "13-15/ge 16"


label var e_hm_prev   "Prevailing Marriages"
label var e_uam_prev  "Prevailing Marriages"
label var e_dc1m_prev "< 10/10-11"
label var e_dc2m_prev "10-11/12"
label var e_dc3m_prev "12/13-15"
label var e_dc4m_prev "13-15/ge 16"



sort year


    graph set mf fontface garamond

    ***These are in color


    #delimit ;
    twoway connected e_hm_prev e_hm_new year, yscale(log r(1 4.5)) c(l) clstyle(p2 p2 p2 p2 p2 p2) ylabel(1(.5)4.5)
                                    mcolor(blue red brown purple lime gs4)
                                    clcolor(blue red brown purple lime gs4)
                                    xlabel(#15)
                                    title("Odds of homomgamy: U.S. 1940-2003") sub("Model: HYS WYS HWS OY")
                                    ytitle("Odds of homogamy") xtitle("year")
       note("SOURCES: Current Population Survey (CPS) and Census data."
          "NOTE: Education categories are lt 10, 10-11, 12, 13-15, and ge 16 years of schooling.") ;
    #delimit cr
    graph export graph_new_prev_1.wmf, replace



   *This one is black and white

     #delimit ;
     twoway connected e_hm_prev e_hm_new year, yscale(log r(3.0 4.5)) clstyle(p2 p2 p2 p2 p2 p2)
     ylabel(2.5(.5)4.5, grid /*glcolor(*1.8) glwidth(*.5)*/ format(%2.1fc) labsize(*.85) angle(0))
     scheme(s1color)
     msymbol(O T S D)
     msize(medium medium large medlarge)
     clpattern(ll) clcolor(gs0 gs0) mcolor(gs0 gs0) /*graphregion(fcolor(gs16))*/ plotregion(style(none))
     xscale(r(1940 2003))
     xlabel(1940 1945 1950 1955 1960 1965 1970 1975 1980 1985 1990 1995 2000, labsize(*.85))
     title(" ", size(medlarge) color(gs0)) sub(" ")
     ytitle("Odds of Homogamy", size(*.63) tstyle(heading)) xtitle("Year", size(*.63) tstyle(heading)) legend(size(*.85));

      cd "F:\Schwartz\cps_historical\graphs" ;
    #delimit cr
    graph export graph_new_prev_2.wmf, replace



    #delimit ;
    twoway connected e_hm_prev e_hm_new year, yscale(log r(3.0 4.5)) c(l) clstyle(p2 p2 p2 p2 p2 p2)
                                    mcolor(blue red brown purple lime gs4)  ylabel(2.5(.5)4.5, grid)
                                    clcolor(blue red brown purple lime gs4)
                                    xlabel(#15)
                                    title("Odds of homomgamy: U.S. 1940-2003") sub("Model: HYS WYS HWS OY")
                                    ytitle("Odds of homogamy") xtitle("Year")
       note("SOURCES: Current Population Survey (CPS) and Census data."
          "NOTE: Education categories are lt 10, 10-11, 12, 13-15, and ge 16 years of schooling.") ;
    #delimit cr
    graph export graph_new_prev_3.wmf, replace


   list year e_hm_prev e_hm_new



    ***These are in color ;


    #delimit ;
    twoway connected e_uam_prev e_uam_new year, yscale(log r(1.00 1.20)) c(l) clstyle(p2 p2 p2 p2 p2 p2) ylabel(1.00(.05)1.20)
                                    mcolor(blue red brown purple lime gs4) yscale(log)
                                    clcolor(blue red brown purple lime gs4)
                                    xlabel(#15)
                                    title("Uniform Association: U.S. 1940-2003") sub("Model: HYS WYS HWS UY")
                                    ytitle("Uniform Association") xtitle("year")
       note("SOURCES: Current Population Survey (CPS) and Census data."
          "NOTE: Education categories are lt 10, 10-11, 12, 13-15, and ge 16 years of schooling.") ;

    #delimit cr
    graph export graph_new_prev_4.wmf, replace





   *This one is black and white

     #delimit ;
     twoway connected e_uam_prev e_uam_new year, yscale(log r(1.11 1.18)) clstyle(p2 p2 p2 p2 p2 p2) ylabel(1.11(.01)1.18, grid)
     scheme(s1color)
     msymbol(O T S D)
     msize(med med large medlarge)
     clpattern(ll) clcolor(gs0 gs0) mcolor(gs0 gs0) graphregion(fcolor(gs16)) plotregion(style(none))
     xlabel(#15)   title(" ", size(medlarge) color(gs0)) sub(" ")
     ytitle("Uniform Association") xtitle("Year") ;

      cd "F:\Schwartz\cps_historical\graphs" ;
    #delimit cr
    graph export graph_new_prev_5.wmf, replace





    ***These are in color ;


    #delimit ;
    twoway connected e_uam_prev e_uam_new year, yscale(log ) c(l) clstyle(p2 p2 p2 p2 p2 p2) ylabel(1.11(.01)1.18)
                                    mcolor(blue red brown purple lime gs4) yscale(log)
                                    clcolor(blue red brown purple lime gs4)
                                    xlabel(#15)
                                    title("Uniform Association: U.S. 1940-2003") sub("Model: HYS WYS HWS UY")
                                    ytitle("Uniform Association") xtitle("year")
       note("SOURCES: Current Population Survey (CPS) and Census data."
          "NOTE: Education categories are lt 10, 10-11, 12, 13-15, and ge 16 years of schooling.") ;

    #delimit cr
    graph export graph_new_prev_6.wmf, replace



    ***These are in color

    #delimit ;
    twoway connected  e_dc1m_new e_dc1m_prev e_dc3m_new e_dc3m_prev year, yscale(log) c(l)
    msymbol(T S O D)
    msize(small small small small) ylabel(.3(.1).6) ysc(log r(.3 .6))
    xlabel(#15) graphregion(fcolor(gs16)) plotregion(style(none))
    title("Odds of Crossing an Educational Barrier: U.S. 1940-2003", size(medsmall) color(gs0))
    sub("Model: HYS WYS HWS CY", size(medsmall))
    ytitle("Crossings Odds Ratio") xtitle("Year")
    note("SOURCES: Current Population Survey (CPS) and Census data.")
    mcolor( pink purple navy blue emerald lime  )
    clcolor(pink purple navy blue emerald lime  ) ;
    #delimit cr
    graph export graph_new_prev_7.wmf, replace



    #delimit ;
    twoway connected  e_dc2m_new e_dc2m_prev e_dc4m_new  e_dc4m_prev year, yscale(log) c(l)
    msymbol(T S O D)
    msize(small small small small) ylabel(.3(.1).6) ysc(log r(.3 .6))
    xlabel(#15) graphregion(fcolor(gs16)) plotregion(style(none))
    title("Odds of Crossing an Educational Barrier: U.S. 1940-2003", size(medsmall) color(gs0))
    sub("Model: HYS WYS HWS CY", size(medsmall))
    ytitle("Crossings Odds Ratio") xtitle("Year")
    note("SOURCES: Current Population Survey (CPS) and Census data.")
     mcolor( emerald lime orange red  )
    clcolor( emerald lime orange red  ) ;
    #delimit cr
    graph export graph_new_prev_8.wmf, replace



   *These are is black and white

     #delimit ;
     twoway connected  e_dc1m_new e_dc2m_new year,
                      yscale(log r(.3 .6)) clstyle(p2 p2 p2 p2 p2 p2) ylabel(.3(.1).6, grid)
                      scheme(s1color)
                      msymbol(Dh T O X)
                      msize(medsmall medium medium medium)
                      clpattern(llll) clcolor(gs0 gs0 gs0 gs0) mcolor(gs0 gs0 gs0 gs0)
                      graphregion(fcolor(gs16)) plotregion(style(none))
                      xlabel(#15)   title(" ", size(medlarge) color(gs0)) sub(" ")
                      ytitle("Crossings Odds Ratio") xtitle("Year") ;

      cd "F:\Schwartz\cps_historical\graphs" ;
    #delimit cr
    graph export graph_new_prev_9.wmf, replace


     #delimit ;
     twoway connected  e_dc3m_new e_dc4m_new year,
                      yscale(log r(.3 .6)) clstyle(p2 p2 p2 p2 p2 p2) ylabel(.3(.1).6, grid)
                      scheme(s1color)
                      msymbol(O X)
                      msize(medium medium medium medium)
                      clpattern(llll) clcolor(gs0 gs0 gs0 gs0) mcolor(gs0 gs0 gs0 gs0)
                      graphregion(fcolor(gs16)) plotregion(style(none))
                      xlabel(#15)   title(" ", size(medlarge) color(gs0)) sub(" ")
                      ytitle("Crossings Odds Ratio") xtitle("Year") ;

      cd "F:\Schwartz\cps_historical\graphs" ;
    #delimit cr
    graph export graph_new_prev_10.wmf, replace




     #delimit ;
     twoway connected  e_dc1m_prev e_dc2m_prev /*e_dc3m_prev e_dc4m_prev*/ year,
                      yscale(log r(.28 .6)) clstyle(p2 p2 p2 p2 p2 p2)
                      ylabel(.3(.05).6, grid format(%3.2fc) labsize(*.85) angle(0))
                      scheme(s1color)
                      msymbol(Dh T O X)
                      msize(medsmall medium medium medium)
                      clpattern(llll) clcolor(gs0 gs0 gs0 gs0) mcolor(gs0 gs0 gs0 gs0)
                      graphregion(fcolor(gs16)) plotregion(style(none))
                      title(" ", size(medlarge) color(gs0)) sub(" ")
                      xscale(r(1940 2003))
                      xlabel(1940 1945 1950 1955 1960 1965 1970 1975 1980 1985 1990 1995 2000, labsize(*.85))
                      ytitle("Crossings Odds Ratio", size(*.88)) xtitle("Year", size(*.88))
                      legend(rows(1) size(*.85)) ;

      cd "F:\Schwartz\cps_historical\graphs" ;
    #delimit cr
    graph export graph_new_prev_11.wmf, replace



     #delimit ;
     twoway connected /* e_dc1m_prev e_dc2m_prev */ e_dc3m_prev e_dc4m_prev year,
                      yscale(log r(.28 .6)) clstyle(p2 p2 p2 p2 p2 p2)
                      ylabel(.3(.05).6, grid format(%3.2fc) labsize(*.85) angle(0))
                      scheme(s1color)
                      msymbol(O X)
                      msize(medium medium medium medium)
                      clpattern(llll) clcolor(gs0 gs0 gs0 gs0) mcolor(gs0 gs0 gs0 gs0)
                      graphregion(fcolor(gs16)) plotregion(style(none))
                      title(" ", size(medlarge) color(gs0)) sub(" ")
                      xscale(r(1940 2003))
                      xlabel(1940 1945 1950 1955 1960 1965 1970 1975 1980 1985 1990 1995 2000, labsize(*.85))
                      ytitle("Crossings Odds Ratio", size(*.88)) xtitle("Year", size(*.88))
                      legend(rows(1) size(*.85)) ;

      cd "F:\Schwartz\cps_historical\graphs" ;
    #delimit cr
    graph export graph_new_prev_12.wmf, replace




     #delimit ;
     twoway connected  e_dc1m_prev e_dc2m_prev e_dc3m_prev e_dc4m_prev year,
                      yscale(log r(.3 .6)) clstyle(p2 p2 p2 p2 p2 p2) ylabel(.3(.05).6, grid)
                      scheme(s1color)
                      msymbol(Dh T O X)
                      msize(medsmall medium medium medium)
                      clpattern(llll) clcolor(gs0 gs0 gs0 gs0) mcolor(gs0 gs0 gs0 gs0)
                      graphregion(fcolor(gs16)) plotregion(style(none))
                      xlabel(#15)   title(" ", size(medlarge) color(gs0)) sub(" ")
                      ytitle("Crossings Odds Ratio") xtitle("Year") legend(rows(1)) ;

      cd "F:\Schwartz\cps_historical\graphs" ;
    #delimit cr
    graph export graph_new_prev_13.wmf, replace








    ***These are in color

    #delimit ;
    twoway connected  e_dc1m_prev e_dc2m_prev e_dc3m_prev e_dc4m_prev year, yscale(log) c(l)
    msymbol(oD T S O)
    xlabel(#15)
    title("Odds of Crossing an Educational Barrier: U.S. 1940-2003") sub("Model: HYS WYS HWS CY")
    ytitle("Odds of Crossing") xtitle("Year")
    note("SOURCES: Current Population Survey (CPS) and Census data.")
    msize(med small small med   med)   ylabel(.3(.1).6) ysc(log r(.3 .6))
    mcolor(purple  lime blue red)
    clcolor(purple lime blue red) legend(rows(2)) ;
    #delimit cr
    graph export graph_new_prev_15.wmf, replace



log close


