#delimit ;
*modeltest_newly.do ;
capture log close ;
version 8.0 ;
log using "F:\Schwartz\cps_historical\do\newlyweds\modeltest_newly.log",replace ;
set more 1 ;
clear ;
program drop _all ;
set mem 500m ;
set matsize 800 ;


#delimit cr

************************************
*                                  *
************************************



use "F:\Schwartz\cps_historical\data\newly_tabpub.dta"


***Look at the file

   tab y cen [w=freq]


***Generate CPS indicator

   gen cps = (cen == 0)


***homogamy

   gen h = (hed == wed)


***Education specific homogamy

   gen h1 = (hed == wed & hed == 1)
   gen h2 = (hed == wed & hed == 2)
   gen h3 = (hed == wed & hed == 3)
   gen h4 = (hed == wed & hed == 4)
   gen h5 = (hed == wed & hed == 5)



***Make the crossing variables

    gen dc1 = 0
    replace dc1 = 1 if (wed < 2 & hed>= 2) | (hed< 2 & wed >= 2)

    gen dc2 = 0
    replace dc2 = 1 if (wed < 3 & hed>= 3) | (hed< 3 & wed >= 3)

    gen dc3 = 0
    replace dc3= 1 if (wed < 4 & hed>= 4) | (hed< 4 & wed >= 4)

    gen dc4 = 0
    replace dc4 = 1 if (wed < 5 & hed>= 5) | (hed< 5 & wed >= 5)




***Make a uniform association parameter.


   gen hl = .
   replace hl = 8    if hed == 1
   replace hl = 10.5 if hed == 2
   replace hl = 12   if hed == 3
   replace hl = 14   if hed == 4
   replace hl = 17   if hed == 5

   gen wl = .
   replace wl = 8    if wed == 1
   replace wl = 10.5 if wed == 2
   replace wl = 12   if wed == 3
   replace wl = 14   if wed == 4
   replace wl = 17   if wed == 5


***The uniform association parameter is hl*wl

   gen ua = hl*wl



****Generate hypergamy parameter

    gen hyp = (hed>wed)


****Symmetry

   gen sym = 0
   replace sym = 1 if (hed == 1 & wed == 1) | (hed == 1 & wed == 1)
   replace sym = 2 if (hed == 2 & wed == 1) | (hed == 1 & wed == 2)
   replace sym = 3 if (hed == 3 & wed == 1) | (hed == 1 & wed == 3)
   replace sym = 4 if (hed == 4 & wed == 1) | (hed == 1 & wed == 4)
   replace sym = 5 if (hed == 5 & wed == 1) | (hed == 1 & wed == 5)
   replace sym = 6 if (hed == 2 & wed == 2) | (hed == 2 & wed == 2)
   replace sym = 7 if (hed == 2 & wed == 3) | (hed == 3 & wed == 2)
   replace sym = 8 if (hed == 2 & wed == 4) | (hed == 4 & wed == 2)
   replace sym = 9 if (hed == 2 & wed == 5) | (hed == 5 & wed == 2)
   replace sym = 10 if (hed == 3 & wed == 3) | (hed == 3 & wed == 3)
   replace sym = 11 if (hed == 3 & wed == 4) | (hed == 4 & wed == 3)
   replace sym = 12 if (hed == 3 & wed == 5) | (hed == 5 & wed == 3)
   replace sym = 13 if (hed == 4 & wed == 4) | (hed == 4 & wed == 4)
   replace sym = 14 if (hed == 5 & wed == 4) | (hed == 4 & wed == 5)
   replace sym = 15 if (hed == 5 & wed == 5) | (hed == 5 & wed == 5)


***Distance

   #delimit ;

   gen  d1= (hed == 2 & wed ==  1) | (hed == 1 & wed == 2) |
            (hed == 3 & wed ==  2) | (hed == 2 & wed == 3) |
            (hed == 4 & wed ==  3) | (hed == 3 & wed == 4) |
            (hed == 5 & wed ==  4) | (hed == 4 & wed == 5) ;
   gen  d2= (hed == 3 & wed ==  1) | (hed == 1 & wed == 3) |
            (hed == 4 & wed ==  2) | (hed == 2 & wed == 4) |
            (hed == 5 & wed ==  3) | (hed == 3 & wed == 5) ;
   gen  d3= (hed == 4 & wed ==  1) | (hed == 1 & wed == 4) |
            (hed == 5 & wed ==  2) | (hed == 2 & wed == 5) ;
   gen  d4= (hed == 5 & wed ==  1) | (hed == 1 & wed == 5) ;

   #delimit cr


   set matsize 6000







***(1) baseline model


    #delimit ;
    desmat: glm freq hed*y*cen wed*y*cen hed*wed*cen , family(poisson) link(log) offset(neglnzi) ;
    #delimit cr


    gen dev=e(deviance)
    display dev

    gen df= $S_2
    display df

    egen totfreq=sum(freq)
    gen lnfreq=ln(totfreq)
    gen bic = dev-df*lnfreq

    tab bic
    drop dev-bic





***(2) Homogamy



    #delimit ;
    desmat: glm freq hed*y*cen wed*y*cen hed*wed*cen  yc.h , family(poisson) link(log) offset(neglnzi) ;
    #delimit cr


    gen dev=e(deviance)
    display dev

    gen df= $S_2
    display df

    egen totfreq=sum(freq)
    gen lnfreq=ln(totfreq)
    gen bic = dev-df*lnfreq

    tab bic
    drop dev-bic


***(3) Diagonal



    #delimit ;
    desmat: glm freq hed*y*cen wed*y*cen hed*wed*cen  yc.h1 yc.h2 yc.h3 yc.h4 yc.h5, family(poisson) link(log) offset(neglnzi) ;
    #delimit cr


    gen dev=e(deviance)
    display dev

    gen df= $S_2
    display df

    egen totfreq=sum(freq)
    gen lnfreq=ln(totfreq)
    gen bic = dev-df*lnfreq

    tab bic
    drop dev-bic



***(4) Crossings model


    #delimit ;
    desmat: glm freq hed*y*cen wed*y*cen hed*wed*cen yc.dc1 yc.dc2 yc.dc3 yc.dc4
                , family(poisson) link(log) offset(neglnzi) ;
    #delimit cr


    gen dev=e(deviance)
    display dev

    gen df= $S_2
    display df

    egen totfreq=sum(freq)
    gen lnfreq=ln(totfreq)
    gen bic = dev-df*lnfreq

    tab bic
    drop dev-bic





***(8) crossings model, homogamy


    #delimit ;
    desmat: glm freq hed*y*cen wed*y*cen hed*wed*cen yc.dc1 yc.dc2 yc.dc3 yc.dc4
                yc.h, family(poisson) link(log) offset(neglnzi) ;
    #delimit cr


    gen dev=e(deviance)
    display dev

    gen df= $S_2
    display df

    egen totfreq=sum(freq)
    gen lnfreq=ln(totfreq)
    gen bic = dev-df*lnfreq

    tab bic
    drop dev-bic



***(9) crossings, diagonal


    #delimit ;
    desmat: glm freq hed*y*cen wed*y*cen hed*wed*cen yc.dc1 yc.dc2 yc.dc3 yc.dc4
                yc.h1 yc.h2 yc.h3 yc.h4 yc.h5, family(poisson) link(log) offset(neglnzi) ;
    #delimit cr


    gen dev=e(deviance)
    display dev

    gen df= $S_2
    display df

    egen totfreq=sum(freq)
    gen lnfreq=ln(totfreq)
    gen bic = dev-df*lnfreq

    tab bic
    drop dev-bic



***(10) Homogamy, hypergamy


    #delimit ;
    desmat: glm freq hed*y*cen wed*y*cen hed*wed*cen  yc.h yc.hyp, family(poisson) link(log) offset(neglnzi) ;
    #delimit cr


    gen dev=e(deviance)
    display dev

    gen df= $S_2
    display df

    egen totfreq=sum(freq)
    gen lnfreq=ln(totfreq)
    gen bic = dev-df*lnfreq

    tab bic
    drop dev-bic



***(11) Crossings model, hypergamy, homogamy



    #delimit ;
    desmat: glm freq hed*y*cen wed*y*cen hed*wed*cen yc.dc1 yc.dc2 yc.dc3 yc.dc4 yc.hyp yc.h
                , family(poisson) link(log) offset(neglnzi) ;
    #delimit cr


    gen dev=e(deviance)
    display dev

    gen df= $S_2
    display df

    egen totfreq=sum(freq)
    gen lnfreq=ln(totfreq)
    gen bic = dev-df*lnfreq

    tab bic
    drop dev-bic



***(12) UA


    #delimit ;
    desmat: glm freq hed*y*cen wed*y*cen hed*wed*cen   @ua.yc, family(poisson) link(log) offset(neglnzi) ;
    #delimit cr


    gen dev=e(deviance)
    display dev

    gen df= $S_2
    display df

    egen totfreq=sum(freq)
    gen lnfreq=ln(totfreq)
    gen bic = dev-df*lnfreq

    tab bic
    drop dev-bic




***(14) symmetry


    #delimit ;
    desmat: glm freq hed*y*cen wed*y*cen hed*wed*cen
                yc.sym, family(poisson) link(log) offset(neglnzi) ;
    #delimit cr


    gen dev=e(deviance)
    display dev

    gen df= $S_2
    display df

    egen totfreq=sum(freq)
    gen lnfreq=ln(totfreq)
    gen bic = dev-df*lnfreq

    tab bic
    drop dev-bic






